<?php
/**
 * Copyright (C) Baluart.COM - All Rights Reserved
 *
 * @since 1.0
 * @author Baluart E.I.R.L.
 * @copyright Copyright (c) 2015 - 2023 Baluart E.I.R.L.
 * @license http://codecanyon.net/licenses/faq Envato marketplace licenses
 * @link https://easyforms.dev/ Easy Forms
 */

namespace app\modules\addons\modules\stripe\helpers;

use Yii;

/**
 * Class Currency
 * @package app\modules\addons\modules\stripe\helpers
 */
class Currency
{

    public static function all()
    {
        return [
            'usd' => Yii::t('app', 'United States Dollar'),
            'eur' => Yii::t('app', 'Euro'),
            'aed' => Yii::t('app', 'United Arab Emirates Dirham'),
            'afn' => Yii::t('app', 'Afghan Afghani'),
            'all' => Yii::t('app', 'Albanian Lek'),
            'amd' => Yii::t('app', 'Armenian Dram'),
            'ang' => Yii::t('app', 'Netherlands Antillean Gulden'),
            'aoa' => Yii::t('app', 'Angolan Kwanza'),
            'ars' => Yii::t('app', 'Argentine Peso'),
            'aud' => Yii::t('app', 'Australian Dollar'),
            'awg' => Yii::t('app', 'Aruban Florin'),
            'azn' => Yii::t('app', 'Azerbaijani Manat'),
            'bam' => Yii::t('app', 'Bosnia & Herzegovina Convertible Mark'),
            'bbd' => Yii::t('app', 'Barbadian Dollar'),
            'bdt' => Yii::t('app', 'Bangladeshi Taka'),
            'bgn' => Yii::t('app', 'Bulgarian Lev'),
            'bif' => Yii::t('app', 'Burundian Franc'),
            'bmd' => Yii::t('app', 'Bermudian Dollar'),
            'bnd' => Yii::t('app', 'Brunei Dollar'),
            'bob' => Yii::t('app', 'Bolivian Boliviano'),
            'brl' => Yii::t('app', 'Brazilian Real'),
            'bsd' => Yii::t('app', 'Bahamian Dollar'),
            'bwp' => Yii::t('app', 'Botswana Pula'),
            'bzd' => Yii::t('app', 'Belize Dollar'),
            'cad' => Yii::t('app', 'Canadian Dollar'),
            'cdf' => Yii::t('app', 'Congolese Franc'),
            'chf' => Yii::t('app', 'Swiss Franc'),
            'clp' => Yii::t('app', 'Chilean Peso'),
            'cny' => Yii::t('app', 'Chinese Renminbi Yuan'),
            'cop' => Yii::t('app', 'Colombian Peso'),
            'crc' => Yii::t('app', 'Costa Rican Colón'),
            'cve' => Yii::t('app', 'Cape Verdean Escudo'),
            'czk' => Yii::t('app', 'Czech Koruna'),
            'djf' => Yii::t('app', 'Djiboutian Franc'),
            'dkk' => Yii::t('app', 'Danish Krone'),
            'dop' => Yii::t('app', 'Dominican Peso'),
            'dzd' => Yii::t('app', 'Algerian Dinar'),
            'eek' => Yii::t('app', 'Estonian Kroon'),
            'egp' => Yii::t('app', 'Egyptian Pound'),
            'etb' => Yii::t('app', 'Ethiopian Birr'),
            'fjd' => Yii::t('app', 'Fijian Dollar'),
            'fkp' => Yii::t('app', 'Falkland Islands Pound'),
            'gbp' => Yii::t('app', 'British Pound'),
            'gel' => Yii::t('app', 'Georgian Lari'),
            'gip' => Yii::t('app', 'Gibraltar Pound'),
            'gmd' => Yii::t('app', 'Gambian Dalasi'),
            'gnf' => Yii::t('app', 'Guinean Franc'),
            'gtq' => Yii::t('app', 'Guatemalan Quetzal'),
            'gyd' => Yii::t('app', 'Guyanese Dollar'),
            'hkd' => Yii::t('app', 'Hong Kong Dollar'),
            'hnl' => Yii::t('app', 'Honduran Lempira'),
            'hrk' => Yii::t('app', 'Croatian Kuna'),
            'htg' => Yii::t('app', 'Haitian Gourde'),
            'huf' => Yii::t('app', 'Hungarian Forint'),
            'idr' => Yii::t('app', 'Indonesian Rupiah'),
            'ils' => Yii::t('app', 'Israeli New Sheqel'),
            'inr' => Yii::t('app', 'Indian Rupee'),
            'isk' => Yii::t('app', 'Icelandic Króna'),
            'jmd' => Yii::t('app', 'Jamaican Dollar'),
            'jpy' => Yii::t('app', 'Japanese Yen'),
            'kes' => Yii::t('app', 'Kenyan Shilling'),
            'kgs' => Yii::t('app', 'Kyrgyzstani Som'),
            'khr' => Yii::t('app', 'Cambodian Riel'),
            'kmf' => Yii::t('app', 'Comorian Franc'),
            'krw' => Yii::t('app', 'South Korean Won'),
            'kyd' => Yii::t('app', 'Cayman Islands Dollar'),
            'kzt' => Yii::t('app', 'Kazakhstani Tenge'),
            'lak' => Yii::t('app', 'Lao Kip'),
            'lbp' => Yii::t('app', 'Lebanese Pound'),
            'lkr' => Yii::t('app', 'Sri Lankan Rupee'),
            'lrd' => Yii::t('app', 'Liberian Dollar'),
            'lsl' => Yii::t('app', 'Lesotho Loti'),
            'ltl' => Yii::t('app', 'Lithuanian Litas'),
            'lvl' => Yii::t('app', 'Latvian Lats'),
            'mad' => Yii::t('app', 'Moroccan Dirham'),
            'mdl' => Yii::t('app', 'Moldovan Leu'),
            'mga' => Yii::t('app', 'Malagasy Ariary'),
            'mkd' => Yii::t('app', 'Macedonian Denar'),
            'mnt' => Yii::t('app', 'Mongolian Tögrög'),
            'mop' => Yii::t('app', 'Macanese Pataca'),
            'mro' => Yii::t('app', 'Mauritanian Ouguiya'),
            'mur' => Yii::t('app', 'Mauritian Rupee'),
            'mvr' => Yii::t('app', 'Maldivian Rufiyaa'),
            'mwk' => Yii::t('app', 'Malawian Kwacha'),
            'mxn' => Yii::t('app', 'Mexican Peso'),
            'myr' => Yii::t('app', 'Malaysian Ringgit'),
            'mzn' => Yii::t('app', 'Mozambican Metical'),
            'nad' => Yii::t('app', 'Namibian Dollar'),
            'ngn' => Yii::t('app', 'Nigerian Naira'),
            'nio' => Yii::t('app', 'Nicaraguan Córdoba'),
            'nok' => Yii::t('app', 'Norwegian Krone'),
            'npr' => Yii::t('app', 'Nepalese Rupee'),
            'nzd' => Yii::t('app', 'New Zealand Dollar'),
            'pab' => Yii::t('app', 'Panamanian Balboa'),
            'pen' => Yii::t('app', 'Peruvian Nuevo Sol'),
            'pgk' => Yii::t('app', 'Papua New Guinean Kina'),
            'php' => Yii::t('app', 'Philippine Peso'),
            'pkr' => Yii::t('app', 'Pakistani Rupee'),
            'pln' => Yii::t('app', 'Polish Złoty'),
            'pyg' => Yii::t('app', 'Paraguayan Guaraní'),
            'qar' => Yii::t('app', 'Qatari Riyal'),
            'ron' => Yii::t('app', 'Romanian Leu'),
            'rsd' => Yii::t('app', 'Serbian Dinar'),
            'rub' => Yii::t('app', 'Russian Ruble'),
            'rwf' => Yii::t('app', 'Rwandan Franc'),
            'sar' => Yii::t('app', 'Saudi Riyal'),
            'sbd' => Yii::t('app', 'Solomon Islands Dollar'),
            'scr' => Yii::t('app', 'Seychellois Rupee'),
            'sek' => Yii::t('app', 'Swedish Krona'),
            'sgd' => Yii::t('app', 'Singapore Dollar'),
            'shp' => Yii::t('app', 'Saint Helenian Pound'),
            'sll' => Yii::t('app', 'Sierra Leonean Leone'),
            'sos' => Yii::t('app', 'Somali Shilling'),
            'srd' => Yii::t('app', 'Surinamese Dollar'),
            'std' => Yii::t('app', 'São Tomé and Príncipe Dobra'),
            'svc' => Yii::t('app', 'Salvadoran Colón'),
            'szl' => Yii::t('app', 'Swazi Lilangeni'),
            'thb' => Yii::t('app', 'Thai Baht'),
            'tjs' => Yii::t('app', 'Tajikistani Somoni'),
            'top' => Yii::t('app', 'Tongan Paʻanga'),
            'try' => Yii::t('app', 'Turkish Lira'),
            'ttd' => Yii::t('app', 'Trinidad and Tobago Dollar'),
            'twd' => Yii::t('app', 'New Taiwan Dollar'),
            'tzs' => Yii::t('app', 'Tanzanian Shilling'),
            'uah' => Yii::t('app', 'Ukrainian Hryvnia'),
            'ugx' => Yii::t('app', 'Ugandan Shilling'),
            'uyu' => Yii::t('app', 'Uruguayan Peso'),
            'uzs' => Yii::t('app', 'Uzbekistani Som'),
            'vef' => Yii::t('app', 'Venezuelan Bolívar'),
            'vnd' => Yii::t('app', 'Vietnamese Đồng'),
            'vuv' => Yii::t('app', 'Vanuatu Vatu'),
            'wst' => Yii::t('app', 'Samoan Tala'),
            'xaf' => Yii::t('app', 'Central African Cfa Franc'),
            'xcd' => Yii::t('app', 'East Caribbean Dollar'),
            'xof' => Yii::t('app', 'West African Cfa Franc'),
            'xpf' => Yii::t('app', 'Cfp Franc'),
            'yer' => Yii::t('app', 'Yemeni Rial'),
            'zar' => Yii::t('app', 'South African Rand'),
            'zmw' => Yii::t('app', 'Zambian Kwacha'),
        ];
    }
}
